commit:     868fbe5eeaa38a05f1ae2775a286b8d2ae651572
Author:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Mon Mar 25 12:15:59 2019 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Mon Mar 25 12:15:59 2019 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=868fbe5e

sci-biology/ncbi-blast+: EAPI7 bump, remove unused variable

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Martin Mokrejs <mmokrejs <AT> fold.natur.cuni.cz>

 sci-biology/ncbi-blast+/ncbi-blast+-2.2.30.ebuild                | 8 ++++----
 sci-biology/ncbi-blast+/ncbi-blast+-2.2.31.ebuild                | 8 ++++----
 sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild                 | 6 +++---
 .../{ncbi-blast+-2.6.0.ebuild => ncbi-blast+-2.8.1.ebuild}       | 9 +++++----
 4 files changed, 16 insertions(+), 15 deletions(-)

diff --git a/sci-biology/ncbi-blast+/ncbi-blast+-2.2.30.ebuild 
b/sci-biology/ncbi-blast+/ncbi-blast+-2.2.30.ebuild
index dd6f3444f..d6c529b57 100644
--- a/sci-biology/ncbi-blast+/ncbi-blast+-2.2.30.ebuild
+++ b/sci-biology/ncbi-blast+/ncbi-blast+-2.2.30.ebuild
@@ -1,13 +1,12 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
 PYTHON_COMPAT=( python2_7 )
 
 inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs
 
-MY_PV="2.2.30"
 MY_P="ncbi-blast-${PV}+-src"
 # workdir/ncbi-blast-2.2.30+-src
 # 
ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/2.2.30/ncbi-blast-2.2.30+-src.tar.gz
@@ -134,6 +133,7 @@ src_prepare() {
        # Temporarily disabling eautoconf because we patch configure via 
${P}-support-autoconf-2.60.patch
        # eautoconf # keep it disabled until we can ensure 2.59 is installed
        # beware 12.0.0. and previous required autoconf-2.59, a patch for 
12.0.0 brings autoconf-2.60 support
+       default
 }
 
 # possibly place modified contents of ${W}/src/build-system/config.site.ncbi 
and {W}/src/build-system/config.site.ex into ${W}/src/build-system/config.site
@@ -279,7 +279,7 @@ src_configure() {
                --prefix="${EPREFIX}/usr" \
                --libdir=/usr/lib64 \
                --with-flat-makefile \
-               ${myconf[@]} || die
+               ${myconf[@]} || die "gcc 7 or newer were not used by upstream 
hence unsupported"
 #--without-debug \
 #              --with-bin-release \
 #              --with-bincopy \

diff --git a/sci-biology/ncbi-blast+/ncbi-blast+-2.2.31.ebuild 
b/sci-biology/ncbi-blast+/ncbi-blast+-2.2.31.ebuild
index 4622ac976..40d060bf5 100644
--- a/sci-biology/ncbi-blast+/ncbi-blast+-2.2.31.ebuild
+++ b/sci-biology/ncbi-blast+/ncbi-blast+-2.2.31.ebuild
@@ -1,13 +1,12 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
 PYTHON_COMPAT=( python2_7 )
 
 inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs
 
-MY_PV="2.2.30"
 MY_P="ncbi-blast-${PV}+-src"
 # workdir/ncbi-blast-2.2.30+-src
 # 
ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/2.2.30/ncbi-blast-2.2.30+-src.tar.gz
@@ -137,6 +136,7 @@ src_prepare() {
        # Temporarily disabling eautoconf because we patch configure via 
${P}-support-autoconf-2.60.patch
        # eautoconf # keep it disabled until we can ensure 2.59 is installed
        # beware 12.0.0. and previous required autoconf-2.59, a patch for 
12.0.0 brings autoconf-2.60 support
+       default
 }
 
 # possibly place modified contents of ${W}/src/build-system/config.site.ncbi 
and {W}/src/build-system/config.site.ex into ${W}/src/build-system/config.site
@@ -282,7 +282,7 @@ src_configure() {
                --prefix="${EPREFIX}/usr" \
                --libdir=/usr/lib64 \
                --with-flat-makefile \
-               ${myconf[@]} || die
+               ${myconf[@]} || die "gcc 7 or newer were not used by upstream 
hence unsupported"
 #--without-debug \
 #              --with-bin-release \
 #              --with-bincopy \

diff --git a/sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild 
b/sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild
index 6adbefad3..0a826b779 100644
--- a/sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild
+++ b/sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild
@@ -1,13 +1,12 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
 PYTHON_COMPAT=( python2_7 )
 
 inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs
 
-MY_PV="2.3.0"
 MY_P="ncbi-blast-${PV}+-src"
 # workdir/ncbi-blast-2.2.30+-src
 # 
ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/2.2.30/ncbi-blast-2.2.30+-src.tar.gz
@@ -138,6 +137,7 @@ src_prepare() {
        # Temporarily disabling eautoconf because we patch configure via 
${P}-support-autoconf-2.60.patch
        # eautoconf # keep it disabled until we can ensure 2.59 is installed
        # beware 12.0.0. and previous required autoconf-2.59, a patch for 
12.0.0 brings autoconf-2.60 support
+       default
 }
 
 # possibly place modified contents of ${W}/src/build-system/config.site.ncbi 
and {W}/src/build-system/config.site.ex into ${W}/src/build-system/config.site

diff --git a/sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild 
b/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
similarity index 99%
copy from sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild
copy to sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
index 6adbefad3..c91a5d490 100644
--- a/sci-biology/ncbi-blast+/ncbi-blast+-2.6.0.ebuild
+++ b/sci-biology/ncbi-blast+/ncbi-blast+-2.8.1.ebuild
@@ -1,13 +1,12 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
 PYTHON_COMPAT=( python2_7 )
 
 inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs
 
-MY_PV="2.3.0"
 MY_P="ncbi-blast-${PV}+-src"
 # workdir/ncbi-blast-2.2.30+-src
 # 
ftp://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/2.2.30/ncbi-blast-2.2.30+-src.tar.gz
@@ -67,7 +66,8 @@ DEPEND="
        xpm? ( x11-libs/libXpm )
        dev-libs/lzo
        app-arch/bzip2
-       dev-libs/libpcre"
+       dev-libs/libpcre
+       dev-db/lmdb"
 # USE flags which should be added somehow: wxWindows wxWidgets SP ORBacus ODBC 
OEChem sge
 # Intentionally omitted USE flags:
 #   ftds? ( dev-db/freetds ) # support for outside FreeTDS installations is 
currently broken.
@@ -138,6 +138,7 @@ src_prepare() {
        # Temporarily disabling eautoconf because we patch configure via 
${P}-support-autoconf-2.60.patch
        # eautoconf # keep it disabled until we can ensure 2.59 is installed
        # beware 12.0.0. and previous required autoconf-2.59, a patch for 
12.0.0 brings autoconf-2.60 support
+       default
 }
 
 # possibly place modified contents of ${W}/src/build-system/config.site.ncbi 
and {W}/src/build-system/config.site.ex into ${W}/src/build-system/config.site

Reply via email to